Module | RI
In: | rdoc/ri/ri_writer.rb rdoc/ri/ri_reader.rb rdoc/ri/ri_paths.rb rdoc/ri/ri_options.rb rdoc/ri/ri_formatter.rb rdoc/ri/ri_descriptions.rb rdoc/ri/ri_cache.rb

Descriptions are created by RDoc (in ri_generator) and written out in serialized form into the documentation tree. ri then reads these to generate the documentation

### Classes and Modules

Class RI::AliasName
Class RI::AnsiFormatter
Class RI::Attribute
Class RI::AttributeFormatter
Class RI::ClassDescription
Class RI::ClassEntry
Class RI::Constant
Class RI::Description
Class RI::HtmlFormatter
Class RI::IncludedModule
Class RI::MethodDescription
Class RI::MethodEntry
Class RI::MethodSummary
Class RI::ModuleDescription
Class RI::NamedThing
Class RI::Options
Class RI::OverstrikeFormatter
Class RI::RiCache
Class RI::RiReader
Class RI::RiWriter
Class RI::SimpleFormatter
Class RI::TextFormatter
Class RI::TopLevelEntry

### Constants

VERSION_STRING | = | "ri v1.0.1 - 20041108"

[Validate]